org.apache.tapestry5.internal.services

## Class FlashPersistentFieldStrategy

- java.lang.Object
- - org.apache.tapestry5.internal.services.AbstractSessionPersistentFieldStrategy
  - - org.apache.tapestry5.internal.services.FlashPersistentFieldStrategy

- All Implemented Interfaces:
    PersistentFieldStrategy

      public class FlashPersistentFieldStrategy
      extends AbstractSessionPersistentFieldStrategy

  The "flash" strategy stores data inside the `session`, just like `SessionPersistentFieldStrategy`, but also removes the values from the session on first use. In this way, a short-term value (such as an error message) will "survive" from an action request to a render request and then disappear.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlashPersistentFieldStrategy(Request request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `didReadChange(Session session, String attributeName)` Called after each key is read by `AbstractSessionPersistentFieldStrategy.gatherFieldChanges(String)`.

    - ### Methods inherited from class org.apache.tapestry5.internal.services.AbstractSessionPersistentFieldStrategy

      `convertApplicationValueToPersisted, convertPersistedToApplicationValue, discardChanges, gatherFieldChanges, postChange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlashPersistentFieldStrategy

          public FlashPersistentFieldStrategy(Request request)

  - ### Method Detail

    - #### didReadChange

          protected void didReadChange(Session session,
                                       String attributeName)

      Description copied from class: `AbstractSessionPersistentFieldStrategy`
      Called after each key is read by `AbstractSessionPersistentFieldStrategy.gatherFieldChanges(String)`. This implementation does nothing, subclasses may override.
      Overrides:
        `didReadChange` in class `AbstractSessionPersistentFieldStrategy`
      Parameters:
        `session` - the session from which a value was just read
        `attributeName` - the name of the attribute used to read a value

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.